LDBSEARCH(1)

NAME
ldbsearch - Search for records in a LDB database

SYNOPSIS

ldbsearch [-h] [-s base|one|sub] [-b basedn] [-i] [-H LDB-URL] [expression] [attributes]

DESCRIPTION

ldbsearch searches a LDB database for records matching the specified expression (see the ldapsearch(1) manpage for a description of the expression format). For each record, the specified attributes are printed.

OPTIONS

-h
    Show list of available options.

-H <ldb-url>
    LDB URL to connect to. See ldb(3) for details.

-s one|sub|base
    Search scope to use. One-level, subtree or base.

-i
    Read search expressions from stdin.

-b basedn
    Specify Base DN to use.

ENVIRONMENT

LDB_URL
    LDB URL to connect to (can be overridden by using the -H command-line option.)

VERSION

This man page is correct for version 1.1 of LDB.

SEE ALSO

ldb(3), ldbedit(1)

AUTHOR

ldb was written by Andrew Tridgell[1].

If you wish to report a problem or make a suggestion then please see the http://ldb.samba.org/ web site for current contact and maintainer information.

This manpage was written by Jelmer Vernooij.

NOTES

1.  Andrew Tridgell
    https://www.samba.org/~tridge/